com.pivotal.gemfirexd.internal.client.net

## Class NetXACallInfo

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.NetXACallInfo

    public class NetXACallInfo
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`NetXACallInfo()`
`NetXACallInfo(Xid xid, int flags, NetXAResource xares, NetXAConnection actualConn)`

### Method Summary

Methods
`byte[]` `getCorrelatorToken()`
`InputStream` `getInputStream()`
`OutputStream` `getOutputStream()`
`protected boolean` `getReadOnlyTransactionFlag()`
`protected byte[]` `getUOWID()`
`void` `saveConnectionVariables()`
`protected void` `setReadOnlyTransactionFlag(boolean flag)`
`protected void` `setUOWID(byte[] uowid)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NetXACallInfo

    public NetXACallInfo()

#### NetXACallInfo

    public NetXACallInfo(Xid xid,
                 int flags,
                 NetXAResource xares,
                 NetXAConnection actualConn)

### Method Detail

#### saveConnectionVariables

    public void saveConnectionVariables()

#### getInputStream

    public InputStream getInputStream()

#### getOutputStream

    public OutputStream getOutputStream()

#### getCorrelatorToken

    public byte[] getCorrelatorToken()

#### setUOWID

    protected void setUOWID(byte[] uowid)

#### getUOWID

    protected byte[] getUOWID()

#### setReadOnlyTransactionFlag

    protected void setReadOnlyTransactionFlag(boolean flag)

#### getReadOnlyTransactionFlag

    protected boolean getReadOnlyTransactionFlag()